Package org.eclipse.help.ui.internal

# Class HelpUIPlugin

java.lang.Object
org.eclipse.core.runtime.Plugin
org.eclipse.ui.plugin.AbstractUIPlugin
org.eclipse.help.ui.internal.HelpUIPlugin

All Implemented Interfaces:
  `BundleActivator`

public class HelpUIPlugin extends AbstractUIPlugin
This class is Help UI plugin.

## Field Summary

Fields
Modifier and Type
Field
Description
`static boolean`
`DEBUG`
`static boolean`
`DEBUG_INFOPOP`
`static final String`
`PLUGIN_ID`

### Fields inherited from class org.eclipse.core.runtime.Plugin

`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

## Constructor Summary

Constructors
Constructor
Description
`HelpUIPlugin()`

## Method Summary

Modifier and Type
Method
Description
`static HelpUIPlugin`
`getDefault()`
Provides access to singleton
`void`
`start(BundleContext context)`
The `AbstractUIPlugin` implementation of this `Plugin` method refreshes the plug-in actions.
`void`
`stop(BundleContext context)`
The `AbstractUIPlugin` implementation of this `Plugin` method saves this plug-in's preference and dialog stores and shuts down its image registry (if they are in use).

### Methods inherited from class org.eclipse.ui.plugin.AbstractUIPlugin

`createImageRegistry, getDialogSettings, getImageRegistry, getPreferenceStore, getWorkbench, imageDescriptorFromPlugin, initializeDefaultPluginPreferences, initializeDefaultPreferences, initializeImageRegistry, loadDialogSettings, loadPreferenceStore, refreshPluginActions, saveDialogSettings, savePreferenceStore, shutdown, startup`

### Methods inherited from class org.eclipse.core.runtime.Plugin

`find, find, getBundle, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### PLUGIN_ID

public static final String PLUGIN_ID

See Also:
  - Constant Field Values

### DEBUG

public static boolean DEBUG

### DEBUG_INFOPOP

public static boolean DEBUG_INFOPOP

## Constructor Details

### HelpUIPlugin

public HelpUIPlugin()

## Method Details

### getDefault

public static HelpUIPlugin getDefault()
Provides access to singleton

Returns:
  HelpUIPlugin

### stop

public void stop(BundleContext context) throws Exception
Description copied from class: `AbstractUIPlugin`
The `AbstractUIPlugin` implementation of this `Plugin` method saves this plug-in's preference and dialog stores and shuts down its image registry (if they are in use). Subclasses may extend this method, but must send super last. A try-finally statement should be used where necessary to ensure that `super.stop()` is always done. Stops this plug-in.

This method should be re-implemented in subclasses that need to do something when the plug-in is shut down. Implementors should call the inherited method as late as possible to ensure that any system requirements can be met.

Plug-in shutdown code should be robust. In particular, this method should always make an effort to shut down the plug-in. Furthermore, the code should not assume that the plug-in was started successfully.

Note 1: If a plug-in has been automatically started, this method will be automatically invoked by the platform when the platform is shut down.

Note 2: This method is intended to perform simple termination of the plug-in environment. The platform may terminate invocations that do not complete in a timely fashion.

Note 3: The supplied bundle context represents the plug-in to the OSGi framework. For security reasons, it is strongly recommended that this object should not be divulged.

Note 4: This method and the `Plugin.start(BundleContext)` may be called from separate threads, but the OSGi framework ensures that both methods will not be called simultaneously.

Clients must never explicitly call this method.

Specified by:
  `stop` in interface `BundleActivator`
Overrides:
  `stop` in class `AbstractUIPlugin`
Parameters:
  `context` - the bundle context for this plug-in
Throws:
  `Exception` - if this method fails to shut down this plug-in

### start

public void start(BundleContext context) throws Exception
Description copied from class: `AbstractUIPlugin`
The `AbstractUIPlugin` implementation of this `Plugin` method refreshes the plug-in actions. Subclasses may extend this method, but must send super first. Starts up this plug-in.

This method should be overridden in subclasses that need to do something when this plug-in is started. Implementors should call the inherited method at the first possible point to ensure that any system requirements can be met.

If this method throws an exception, it is taken as an indication that plug-in initialization has failed; as a result, the plug-in will not be activated; moreover, the plug-in will be marked as disabled and ineligible for activation for the duration.

Note 1: This method is automatically invoked by the platform the first time any code in the plug-in is executed.

Note 2: This method is intended to perform simple initialization of the plug-in environment. The platform may terminate initializers that do not complete in a timely fashion.

Note 3: The class loader typically has monitors acquired during invocation of this method. It is strongly recommended that this method avoid synchronized blocks or other thread locking mechanisms, as this would lead to deadlock vulnerability.

Note 4: The supplied bundle context represents the plug-in to the OSGi framework. For security reasons, it is strongly recommended that this object should not be divulged.

Note 5: This method and the `Plugin.stop(BundleContext)` may be called from separate threads, but the OSGi framework ensures that both methods will not be called simultaneously.

Clients must never explicitly call this method.

Specified by:
  `start` in interface `BundleActivator`
Overrides:
  `start` in class `AbstractUIPlugin`
Parameters:
  `context` - the bundle context for this plug-in
Throws:
  `Exception` - if this plug-in did not start up properly